# Unblock device key

Unblocks a user's device. Once unblocked, the device status returns to `Active` and the device can be verified using the device key. **Required permissions**: `apps:edit`, `[appId]:edit`, `devices:edit`.

Endpoint: PUT /v1/users/{user_id}/device-keys/{key_id}/unblock
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `user_id` (string, required)
    ID of the user

  - `key_id` (string, required)
    An identifier for the user's device

## Response 200:

  - `200` (unknown)
    Device unblocked

## Response 400:

  - `400` (unknown)
    Invalid request parameters

## Response 400 fields (application/json):

  - `error_code` (string)
    Enum: "system_invalid_input"

  - `message` (string)

## Response 404:

  - `404` (unknown)
    User or device key does not exist

## Response 404 fields (application/json):

  - `error_code` (string)
    Enum: "user_not_found"

  - `message` (string)

